ClarisWksPRParser Class Referencefinal

the main class to create presentation Claris Works file More...

`#include <ClarisWksPRParser.hxx>`

Inheritance diagram for ClarisWksPRParser:

## Public Member Functions

| ClarisWksPRParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~ClarisWksPRParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGPresentationInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWPresentationParser
| ~MWAWPresentationParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions

void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGPresentationInterface *documentInterface)
| creates the listener which will be associated to the document
Protected Member Functions inherited from MWAWPresentationParser
| MWAWPresentationParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWPresentationParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes

std::shared_ptr< ClarisWksPRParserInternal::State > | m_state
| the state
std::shared_ptr< ClarisWksDocument > | m_document
| the main document manager

## Friends

class | ClarisWksPRParserInternal::SubDocument
class | ClarisWksDocument

## Detailed Description

the main class to create presentation Claris Works file

## Constructor & Destructor Documentation

## ClarisWksPRParser()

ClarisWksPRParser::ClarisWksPRParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ~ClarisWksPRParser()

ClarisWksPRParser::~ClarisWksPRParser | ( |  | ) |

final

destructor

## Member Function Documentation

## checkHeader()

bool ClarisWksPRParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )

final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by ClarisWksDocument, and parse().

## createDocument()

void ClarisWksPRParser::createDocument | ( | librevenge::RVNGPresentationInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by ClarisWksDocument, and parse().

## init()

void ClarisWksPRParser::init | ( |  | ) |

protected

inits all internal variables

Referenced by ClarisWksDocument, and ClarisWksPRParser().

## parse()

void ClarisWksPRParser::parse | ( | librevenge::RVNGPresentationInterface * | documentInterface | ) |

final virtual

virtual function used to parse the input

Implements MWAWPresentationParser.

Referenced by ClarisWksDocument.

## Friends And Related Symbol Documentation

## ClarisWksDocument

friend class ClarisWksDocument

friend

Referenced by ClarisWksDocument, and init().

## ClarisWksPRParserInternal::SubDocument

friend class ClarisWksPRParserInternal::SubDocument

friend

## Member Data Documentation

## m_document

std::shared_ptr<ClarisWksDocument> ClarisWksPRParser::m_document

protected

the main document manager

Referenced by checkHeader(), ClarisWksPRParser(), createDocument(), init(), parse(), and ClarisWksPRParserInternal::SubDocument::parse().

## m_state

std::shared_ptr<ClarisWksPRParserInternal::State> ClarisWksPRParser::m_state

protected

the state

Referenced by checkHeader(), ClarisWksPRParser(), createDocument(), and init().

The documentation for this class was generated from the following files:

- ClarisWksPRParser.hxx
- ClarisWksPRParser.cxx